[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Google
  Web www.spinics.net

Re: Resolving Dependencies



On Thu, Jul 14, 2011 at 07:32:41PM +0530, kali c wrote:

> I have my application which I want to build a rpm package. The application
> has some dependencies that has to be installed. It requires few  .so files
> that has to be present in the application running machine. Say for
> e.g libQtCore.so.4. The command ldd reveals other dependencies as well. I
> tried giving those dependencies in the SPEC file under the requires field
> as Requires: libQtCore.so.4 ....

Normally, RPM will add this dependency automatically.

> Specifically error: Failed dependencies:
>         libQtCore.so.4 is needed by myApplication-1.0-1.x86_64

You should not install a RPM with "rpm" but with a depsolver, e.g. "yum".
It will find the package providing the library and install it
automatically.

-- 
--    Jos Vos <jos@xxxxxx>
--    X/OS Experts in Open Systems BV   |   Phone: +31 20 6938364
--    Amsterdam, The Netherlands        |     Fax: +31 20 6948204
_______________________________________________
Rpm-list mailing list
Rpm-list@xxxxxxxxxxxxx
http://lists.rpm.org/mailman/listinfo/rpm-list


[Linux Kernel]     [Red Hat Install]     [PAM]     [Red Hat Watch List]     [Red Hat Development]     [Red Hat]     [Gimp]     [Yosemite News]     [IETF Discussion]